Skip to main content
POST
/
core.v1.IntegrationBIService
/
CreateBIIntegration
cURL
curl -X POST "https://api.joinformal.com/core.v1.IntegrationBIService/CreateBIIntegration" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "integration": {
    "id": "<string>",
    "name": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "linkedDbUserId": "<string>",
    "sync": true,
    "fivetran": {
      "apiKey": "<string>",
      "apiSecret": "<string>"
    },
    "metabase": {
      "hostname": "<string>",
      "username": "<string>",
      "password": "<string>"
    }
  }
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json

Exactly one of these fields is required: fivetran or metabase.

name
string
Minimum string length: 1
linkedDbUserId
string
sync
boolean
fivetran
fivetran · object

One of the discriminated union fields - use exactly one

metabase
metabase · object

One of the discriminated union fields - use exactly one

Response

Success

integration
integration · object

Exactly one of these fields is required: fivetran or metabase.